== Why is this an issue?

Shared naming conventions allow teams to collaborate efficiently.

This rule raises an issue when a method name does not match a provided regular expression.

For example, with the default provided regular expression ``++^[a-z][a-zA-Z0-9]*$++``, the method:

[source,java]
----
public int DoSomething(){...} // Noncompliant
----

should be renamed to

[source,java]
----
public int doSomething(){...}
----

=== Exceptions

Overriding methods are excluded.

[source,java]
----
@Override
public int Do_Something(){...} // Compliant by exception
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****
_STRING_

----
^[a-z][a-zA-Z0-9]*$
----

Regular expression used to check the method names against
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
